package javasmtp;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;

/**
 *
 * @author dt
 */
public class Javasmtp {
    
    private Socket socket;
    private BufferedReader vomSmtpServer;
    private PrintWriter zumSmtpServer;
    
    public Javasmtp() {
        try {
            socket = new Socket("10.16.1.1", 25);
            
            vomSmtpServer = new BufferedReader(
                    new InputStreamReader(
                            socket.getInputStream()
                    )
            );
            
            zumSmtpServer = new PrintWriter(
                    socket.getOutputStream()
            );
            
            if (this.getServerAntwort().startsWith("220")) {
                this.sendServerMessage("HELO r025-tafel");
                if (this.getServerAntwort().startsWith("250")) {
                    this.sendServerMessage(
                            "Mail From: dienert@msv.wara.de");
                    if (this.getServerAntwort().startsWith("250")) {
                        this.sendServerMessage("Rcpt To: dienert@wara.de");
                        if (this.getServerAntwort().startsWith("250")) {
                            this.sendServerMessage("Data");
                            if (this.getServerAntwort().startsWith("354")) {
                                this.sendServerMessage("blablabla");
                                this.sendServerMessage(".");
                                this.getServerAntwort();
                            }
                        }
                    }
                }
            }
            
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    
    private void sendServerMessage(String message) {
        System.out.println(message);
        this.zumSmtpServer.println(message);
        this.zumSmtpServer.flush();
    }
    
    private String getServerAntwort() throws IOException {
        String antwort = this.vomSmtpServer.readLine();
        System.out.println(antwort);
        return antwort;
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        new Javasmtp();
    }
    
}
